const path = require('path')

module.exports = env => ({
  project: {
    // 预加载代码，修改后需要手动刷新浏览器
    preload: {
      js: [path.resolve('./src/preload.js')],
    },
    // 启动页
    splash: {
      // 是否启用
      enable: true,
      // 启动页配置
      config: {
        // 是否自动关闭，如果false，需要在代码中调用 `window.closeSplashScreen` 手动关闭
        autoClose: true,
        // 启动页样式css，可以覆盖默认样式，如背景色等
        style: '',
        // 启动页图片
        img: {
          src: './logo.png?v=1.1',
          width: '50%',
        },
      },
    },
    // 资源地址
    publicUrl: './',
    // rem 配置
    rem: {
      // 启用 rem
      enable: true,
    },
    // sentry 配置
    sentry: {
      // 是否启用 sentry
      enable: true,
      config: {
        // dsn配置
        dsn: 'https://1cfcbb7d607e400ab233a8ef9661201d@sentry-int.medlinker.com/14',
        // 把你的路径放到这里
        urlPrefix: ['~/react-app'],
      },
    },
    // growingio配置
    growingio: {
      // 是否启用 growingio
      enable: env.MEDLINKER_APP_ENV === 'prod' && env.NODE_ENV === 'production',
      config: {
        // growingio 的 key
        key: 'ad6251cfbfcc4d7c',
        // 是否启用 hash 路由
        hashtag: true,
        // debug 模式
        debug: false,
      },
    },
  },
  webpack: {
    devServer: {
      proxy: {
        '/api/**': {
          target: 'https://web.medlinker.com',
          changeOrigin: true,
          secure: false,
          pathRewrite: {
            '^/api': '',
          },
        },
      },
    },
    postcss: config => config,
    plugins: config => config,
  },
});
